summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Nick Smallbone <nick@smallbone.se>2019-03-23 09:55:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-03-23 09:56:27 +0700
commit0690161524b750bc9af1f55e7c853825f3b9bdea (patch)
tree5ecb60fffdbfc22ae859c62b8658eb49d67e0e1d /games
parent0240a443828a983a7dda5fb515b812af7167329a (diff)
downloadslackbuilds-0690161524b750bc9af1f55e7c853825f3b9bdea.tar.gz
slackbuilds-0690161524b750bc9af1f55e7c853825f3b9bdea.tar.xz
games/CorsixTH: Added (clone of Theme Hospital).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/CorsixTH/CorsixTH.SlackBuild103
-rw-r--r--games/CorsixTH/CorsixTH.desktop8
-rw-r--r--games/CorsixTH/CorsixTH.info10
-rw-r--r--games/CorsixTH/README11
-rw-r--r--games/CorsixTH/doinst.sh3
-rw-r--r--games/CorsixTH/slack-desc19
6 files changed, 154 insertions, 0 deletions
diff --git a/games/CorsixTH/CorsixTH.SlackBuild b/games/CorsixTH/CorsixTH.SlackBuild
new file mode 100644
index 0000000000..a6723a6e75
--- /dev/null
+++ b/games/CorsixTH/CorsixTH.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for CorsixTH
+
+# Copyright 2019 Nick Smallbone, Gothenburg, Sweden
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=CorsixTH
+VERSION=${VERSION:-0.62}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/share/applications
+cp -a \
+ $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/pixmaps
+cp -a \
+ LDocGen/output/logo.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.txt LICENSE.txt changelog.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/CorsixTH/CorsixTH.desktop b/games/CorsixTH/CorsixTH.desktop
new file mode 100644
index 0000000000..6c21c8fbe8
--- /dev/null
+++ b/games/CorsixTH/CorsixTH.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Type=Application
+Name=CorsixTH
+Comment=An open source Theme Hospital clone
+Exec=corsix-th
+Icon=CorsixTH
+StartupNotify=false
+Categories=Game;
diff --git a/games/CorsixTH/CorsixTH.info b/games/CorsixTH/CorsixTH.info
new file mode 100644
index 0000000000..69bb203c13
--- /dev/null
+++ b/games/CorsixTH/CorsixTH.info
@@ -0,0 +1,10 @@
+PRGNAM="CorsixTH"
+VERSION="0.62"
+HOMEPAGE="http://corsixth.com"
+DOWNLOAD="https://github.com/CorsixTH/CorsixTH/archive/v0.62/CorsixTH-0.62.tar.gz"
+MD5SUM="490d2fa01467913c77ae8cbc7ed9d3d8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2_mixer lua-filesystem lua-lpeg ffmpeg"
+MAINTAINER="Nick Smallbone"
+EMAIL="nick@smallbone.se"
diff --git a/games/CorsixTH/README b/games/CorsixTH/README
new file mode 100644
index 0000000000..7a2ecff2e4
--- /dev/null
+++ b/games/CorsixTH/README
@@ -0,0 +1,11 @@
+CorsixTH is an open source clone of the Bullfrog game Theme Hospital.
+In it, you manage a hospital, research treatments, and cure patients
+of diseases such as Slack Tongue and Bloaty Head.
+
+To play CorsixTH, you will need a copy of Theme Hospital.
+If you don't have Theme Hospital, you can buy it on GOG, or find
+the free demo version. The first time you launch CorsixTH, it will
+ask you to point it at the data files.
+
+NOTE: to get music in-game, you need the the fluidsynth and
+fluid-soundfont packages.
diff --git a/games/CorsixTH/doinst.sh b/games/CorsixTH/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/CorsixTH/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/CorsixTH/slack-desc b/games/CorsixTH/slack-desc
new file mode 100644
index 0000000000..ba44ed2668
--- /dev/null
+++ b/games/CorsixTH/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+CorsixTH: CorsixTH (clone of Theme Hospital)
+CorsixTH:
+CorsixTH: CorsixTH is an open source clone of the Bullfrog game Theme Hospital.
+CorsixTH: It requires the original Theme Hospital data files in order to run. If
+CorsixTH: you don't have Theme Hospital, you can buy it on GOG, or find the free
+CorsixTH: demo version.
+CorsixTH:
+CorsixTH: NOTE: To get music in-game, you need the fluidsynth and
+CorsixTH: fluid-soundfont packages.
+CorsixTH:
+CorsixTH: Home page: http://corsixth.com